<template>
  <b-container class="my-5">
    <b-row>
      <b-col cols="12" sm="8" md="6" lg="4" class="mx-auto">
        <b-card class="card-custom">
          <b-card-body class="d-flex flex-column align-items-center">
            <b-button
              variant="outline-primary"
              class="mb-3 w-75"
              @click="$router.push('/login')"
              >Prijava
            </b-button>
            <b-button
              variant="outline-secondary"
              class="w-75"
              @click="$router.push('/register')"
              >Registracija
            </b-button>
          </b-card-body>
        </b-card>
      </b-col>
    </b-row>
  </b-container>
</template>

<style>
.card-custom {
  background: #fff; /* Pretpostavljajući da je pozadina logotipa bijela */
  border-color: #004085; /* Boja uzeta iz logotipa */
}

/* Custom stilovi za gumbe kako bi se uskladili s bojama logotipa */
.btn-outline-primary {
  color: #004085;
  border-color: #004085;
}

.btn-outline-primary:hover {
  color: #fff;
  background-color: #004085;
  border-color: #004085;
}

.btn-outline-secondary {
  color: #009688; /* Ova boja bi trebala odgovarati drugoj boji u logotipu */
  border-color: #009688;
}

.btn-outline-secondary:hover {
  color: #fff;
  background-color: #009688;
  border-color: #009688;
}
</style>
